Jump to content
  • 0

OpenRC 0.18


eusanpe
 Share

Question

Hello All,

 

I performed a world update and now netif.eth0 doesn't work. I get the following error:

 

ERROR: netif.eth0 needs service(s) netif

 

netif.eth0 is linked to netif.tmpl. It was working previously until the update to OpenRC-0.18 from OpenRC-0.12.4-r4. CoreNetwork-1.5.2 was installed also.

 

Does anyone have any ideas how to fix this? My network interface is down.

 

Thanks,
Tony

Link to comment
Share on other sites

2 answers to this question

Recommended Posts

  • 0

Funtoo uses a custom OpenRC : http://git.funtoo.org/openrc/

Funtoo uses a custom corenetwork http://git.funtoo.org/corenetwork/

http://git.funtoo.org/ports-2012/tree/sys-apps/openrc/openrc-0.12.4-r4.ebuild

GITHUB_REPO="${PN}"

GITHUB_USER="funtoo"

GITHUB_TAG="funtoo-openrc-0.12.4-r3"

NETV="1.3.12"

GITHUB_REPO_CN="corenetwork"

GITHUB_TAG_CN="$NETV"

 

SRC_URI="

https://www.github.com/${GITHUB_USER}/${GITHUB_REPO}/tarball/${GITHUB_TAG}-> ${PN}-${GITHUB_TAG}.tar.gz

https://www.github.com/${GITHUB_USER}/${GITHUB_REPO_CN}/tarball/${GITHUB_TAG_CN}-> corenetwork-${NETV}.tar.gz

"

 

 

OpenRC-0.18 is masked to prevent installing because it is the gentoo version.

http://git.funtoo.org/ports-2012/tree/sys-apps/openrc/openrc-0.18.ebuild

SRC_URI="https://dev.gentoo.org/~williamh/dist/${P}.tar.bz2"

 

Using gentoo OpenRC with funtoo corenetwork is not working?

I would re-install OpenRC-0.12.4-r4

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...